GNU bug report logs - #30127
ICC: 'entry point must be defined' error for shared builds on Windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: sav_ix@HIDDEN; dated Mon, 15 Jan 2018 16:17:02 UTC; Maintainer for automake is bug-automake@HIDDEN.

Message received at 30127 <at> debbugs.gnu.org:


Received: (at 30127) by debbugs.gnu.org; 23 Jan 2018 18:42:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 23 13:42:44 2018
Received: from localhost ([127.0.0.1]:39885 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ee3Wu-0005Nb-Jc
	for submit <at> debbugs.gnu.org; Tue, 23 Jan 2018 13:42:44 -0500
Received: from mga07.intel.com ([134.134.136.100]:11883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.l.peyton@HIDDEN>) id 1ee3RD-0005FC-Ci
 for 30127 <at> debbugs.gnu.org; Tue, 23 Jan 2018 13:36:52 -0500
X-Amp-Result: SKIPPED(no attachment in message)
X-Amp-File-Uploaded: False
Received: from fmsmga004.fm.intel.com ([10.253.24.48])
 by orsmga105.jf.intel.com with ESMTP/TLS/DHE-RSA-AES256-GCM-SHA384;
 23 Jan 2018 10:36:49 -0800
X-ExtLoop1: 1
X-IronPort-AV: E=Sophos;i="5.46,402,1511856000"; d="scan'208";a="24121835"
Received: from fmsmsx106.amr.corp.intel.com ([10.18.124.204])
 by fmsmga004.fm.intel.com with ESMTP; 23 Jan 2018 10:36:49 -0800
Received: from fmsmsx115.amr.corp.intel.com (10.18.116.19) by
 FMSMSX106.amr.corp.intel.com (10.18.124.204) with Microsoft SMTP Server (TLS)
 id 14.3.319.2; Tue, 23 Jan 2018 10:36:49 -0800
Received: from fmsmsx125.amr.corp.intel.com ([169.254.2.212]) by
 fmsmsx115.amr.corp.intel.com ([169.254.4.132]) with mapi id 14.03.0319.002;
 Tue, 23 Jan 2018 10:36:48 -0800
From: "Peyton, Jonathan L" <jonathan.l.peyton@HIDDEN>
To: Mathieu Lirzin <mthl@HIDDEN>, "sav_ix@HIDDEN" <sav_ix@HIDDEN>
Subject: RE: bug#30127: Re[2]: bug#30127: ICC: 'entry point must be defined'
 error for shared builds on Windows
Thread-Topic: bug#30127: Re[2]: bug#30127: ICC: 'entry point must be
 defined' error for shared builds on Windows
Thread-Index: AQHTlFkCx/78+yP72k6m3LOfpQfKvaOByE0w
Date: Tue, 23 Jan 2018 18:36:48 +0000
Message-ID: <E721F964DFCE0143863414635137A1C74D62A813@HIDDEN>
References: <1516008671.825996088.z51d5sjt@HIDDEN>
 <1516008671.825996088.z51d5sjt@HIDDEN>	<876080hz5d.fsf@HIDDEN>
 <1516540672.438143727.3zmkkphd@HIDDEN> <87vafs7hv3.fsf@HIDDEN>
In-Reply-To: <87vafs7hv3.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-titus-metadata-40: eyJDYXRlZ29yeUxhYmVscyI6IiIsIk1ldGFkYXRhIjp7Im5zIjoiaHR0cDpcL1wvd3d3LnRpdHVzLmNvbVwvbnNcL0ludGVsMyIsImlkIjoiNzU5ZjU2ZTQtZDU4ZS00NDI0LWE5MjQtYTFiNzZmM2E0M2Y1IiwicHJvcHMiOlt7Im4iOiJDVFBDbGFzc2lmaWNhdGlvbiIsInZhbHMiOlt7InZhbHVlIjoiQ1RQX05UIn1dfV19LCJTdWJqZWN0TGFiZWxzIjpbXSwiVE1DVmVyc2lvbiI6IjE3LjIuNS4xOCIsIlRydXN0ZWRMYWJlbEhhc2giOiJzRzR4Q0k5VnNGelRmbE94c1U4bXl2N2tvY0R5aWpjaFRDMW8yZXJPTllxNW5LNTh5a3FLc0JBRXNRZkxXNHZLIn0=
x-ctpclassification: CTP_NT
dlp-product: dlpe-windows
dlp-version: 11.0.0.116
dlp-reaction: no-action
x-originating-ip: [10.1.200.106]
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 30127
X-Mailman-Approved-At: Tue, 23 Jan 2018 13:42:43 -0500
Cc: "30127 <at> debbugs.gnu.org" <30127 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

SSB0aGluayB0aGUg4oCTeGlsaWIgb3B0aW9uIGlzIGludmFsaWQgd2hlbiB1c2luZzoNCiQgeGls
aW5rIOKAk3hpbGliIOKApg0KVGhpcyBqdXN0IGdpdmVzIG1lIGFuIOKAnHVucmVjb2duaXplZCBv
cHRpb24gJy94aWxpYic7IGlnbm9yZWTigJ0gd2FybmluZywgYnV0IGlmIEkgdXNlDQokIHhpbGlu
ayDigJNsaWIg4oCmDQpUaGVuIGl0IGNhbGxzIHhpbGliIHNpbWlsYXIgdG8gaG93IA0KJCBsaW5r
LmV4ZSDigJNsaWIg4oCmDQpjYWxscyBsaWIuZXhlDQoNCk9yIGluIHNob3J0Og0KJCB4aWxpbmsu
ZXhlIOKAk2xpYiA9IHhpbGliLmV4ZQ0KJCBsaW5rLmV4ZSDigJNsaWIgPSBsaWIuZXhlDQoNCkkg
ZG9uJ3QgdGhpbmsgaXQgd291bGQgaHVydCBpZiAteGlsaWIgaXMgY29udmVydGVkIHRvIC1saWIs
IGJ1dCB0aGF0IGlzIHdoYXQgbmVlZHMgdG8gaGFwcGVuIGlmIHRoZSBvcHRpb24gaXMgYWNjZXB0
ZWQuDQoNCi1ub2xvZ28gbG9va3MgZ29vZCB0byBtZS4NCg0KLS0gSm9uYXRoYW4gUGV5dG9uDQo=




Information forwarded to bug-automake@HIDDEN:
bug#30127; Package automake. Full text available.

Message received at 30127 <at> debbugs.gnu.org:


Received: (at 30127) by debbugs.gnu.org; 23 Jan 2018 14:46:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 23 09:46:59 2018
Received: from localhost ([127.0.0.1]:39241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1edzql-00073X-BU
	for submit <at> debbugs.gnu.org; Tue, 23 Jan 2018 09:46:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mthl@HIDDEN>) id 1edzqj-00073K-52
 for 30127 <at> debbugs.gnu.org; Tue, 23 Jan 2018 09:46:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mthl@HIDDEN>) id 1edzqY-0000dg-2w
 for 30127 <at> debbugs.gnu.org; Tue, 23 Jan 2018 09:46:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56225)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mthl@HIDDEN>)
 id 1edzqU-0000ai-T2; Tue, 23 Jan 2018 09:46:42 -0500
Received: from [2a01:e35:2ec2:e580:7d5f:f616:fc6f:3970] (port=36584 helo=godel)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <mthl@HIDDEN>)
 id 1edzqU-0002b7-1I; Tue, 23 Jan 2018 09:46:42 -0500
From: Mathieu Lirzin <mthl@HIDDEN>
To: sav_ix@HIDDEN
Subject: Re: bug#30127: Re[2]: bug#30127: ICC: 'entry point must be defined'
 error for shared builds on Windows
References: <1516008671.825996088.z51d5sjt@HIDDEN>
 <1516008671.825996088.z51d5sjt@HIDDEN>
 <876080hz5d.fsf@HIDDEN>
 <1516540672.438143727.3zmkkphd@HIDDEN>
Date: Tue, 23 Jan 2018 15:46:40 +0100
In-Reply-To: <1516540672.438143727.3zmkkphd@HIDDEN> (sav ix's
 message of "Sun, 21 Jan 2018 16:10:39 +0200")
Message-ID: <87vafs7hv3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30127
Cc: jonathan.l.peyton@HIDDEN, 30127 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

sav_ix@HIDDEN writes:

> In case you're interested, there is a patch to 'lib/ar-lib', which I use =
for libiconv builds using Windows ICC:
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
> diff --git a/build-aux/ar-lib b/build-aux/ar-lib
> index 463b9ec..3cfddbc 100644
> --- a/build-aux/ar-lib
> +++ b/build-aux/ar-lib
> @@ -127,8 +127,10 @@ do
> fi
> case $1 in
> -lib | -LIB \
> + | -xilib | -XILIB \
> | -ltcg | -LTCG \
> | -machine* | -MACHINE* \
> + | -nologo | -NOLOGO \
> | -subsystem* | -SUBSYSTEM* \
> | -verbose | -VERBOSE \
> | -wx* | -WX* )
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
> since ICC linker 'xilink' and librarian 'xilib' are just a wrappers to MS=
VC 'link' and librarian 'lib' respectively, and ' -nologo ' use reduces noi=
se in stderr.
>
> CC: Jonathan L Peyton,
> as Author of patch for 'compile', mentioned above. In case he'll be inter=
ested to make a review aor join this discussion.
>
> Odd, that current 'ar-lib' implementation covers only a part of MSVC 'lib=
' flags:
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
> c:\>lib /?
> Microsoft (R) Library Manager Version 14.12.25830.2
> Copyright (C) Microsoft Corporation. All rights reserved.
>
> usage: LIB [options] [files]
>
> options:
>
> /DEF[:filename]
> /ERRORREPORT:{NONE|PROMPT|QUEUE|SEND}
> /EXPORT:symbol
> /EXTRACT:membername
> /INCLUDE:symbol
> /LIBPATH:dir
> /LIST[:filename]
> /LTCG
> /MACHINE:{ARM|ARM64|EBC|X64|X86}
> /NAME:filename
> /NODEFAULTLIB[:library]
> /NOLOGO
> /OUT:filename
> /REMOVE:membername
> /SUBSYSTEM:{BOOT_APPLICATION|CONSOLE|EFI_APPLICATION|
> EFI_BOOT_SERVICE_DRIVER|EFI_ROM|EFI_RUNTIME_DRIVER|
> NATIVE|POSIX|WINDOWS|WINDOWSCE}[,#[.##]]
> /VERBOSE
> /WX[:NO]
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
>
> Wondering, what was a reason for this.

I am definitely not competent for reviewing Windows related stuff.  So
that would be great if Jonathan or anyone with more experience with
=E2=80=98ar-lib=E2=80=99 could help reviewing this patch.

Thanks for your patch.

--=20
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37




Information forwarded to bug-automake@HIDDEN:
bug#30127; Package automake. Full text available.

Message received at 30127 <at> debbugs.gnu.org:


Received: (at 30127) by debbugs.gnu.org; 21 Jan 2018 17:26:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 21 12:26:17 2018
Received: from localhost ([127.0.0.1]:37280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1edJNp-0001sj-2W
	for submit <at> debbugs.gnu.org; Sun, 21 Jan 2018 12:26:17 -0500
Received: from frv198.fwdcdn.com ([212.42.77.198]:17116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sav_ix@HIDDEN>) id 1edGKd-0003qX-7m
 for 30127 <at> debbugs.gnu.org; Sun, 21 Jan 2018 09:10:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ukr.net;
 s=ffe; h=Content-Type:MIME-Version:References:In-Reply-To:Message-Id:Cc:To:
 Subject:From:Date:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=8zXMkjXQ+vD2Bu2PN5fQMtOMnApRDH+2V6ShzJuzBcM=; b=qRQWRhgAiFyTfhHuS6/l2Boeg8
 +eGDf3rvjBd79ULYA4sWdwEl6MfSRgKZiLo+mOXzc0Z+DYRSpxMpcJWjrjdTkqUMnFWAePj7M1bqx
 pbfu/jEnFRS3epiNRWPqzGeqjeGRoUo5zJ/U8367UfNsSeI38s9UJZMaqJ77kWDTUb5E=;
Received: from [10.10.10.54] (helo=frv54.fwdcdn.com)
 by frv198.fwdcdn.com with smtp ID 1edGKV-0009z3-Pr
 for 30127 <at> debbugs.gnu.org; Sun, 21 Jan 2018 16:10:39 +0200
Date: Sun, 21 Jan 2018 16:10:39 +0200
From: sav_ix@HIDDEN
Subject: Re[2]: bug#30127: ICC: 'entry point must be defined' error for
 shared builds on Windows
To: Mathieu Lirzin <mthl@HIDDEN>
X-Mailer: mail.ukr.net 5.0
Message-Id: <1516540672.438143727.3zmkkphd@HIDDEN>
In-Reply-To: <876080hz5d.fsf@HIDDEN>
References: <1516008671.825996088.z51d5sjt@HIDDEN>
 <1516008671.825996088.z51d5sjt@HIDDEN> (sav ix's message of "Mon,
 15 Jan 2018 11:48:52 +0200") <876080hz5d.fsf@HIDDEN>
X-Reply-Action: reply
Received: from sav_ix@HIDDEN by frv54.fwdcdn.com;
 Sun, 21 Jan 2018 16:10:39 +0200
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="=-xu7q3NwoIZzrx2RGKDFa"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30127
X-Mailman-Approved-At: Sun, 21 Jan 2018 12:26:15 -0500
Cc: jonathan.l.peyton@HIDDEN, 30127 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-xu7q3NwoIZzrx2RGKDFa
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: binary
Content-Length: 3049


  

--- Оригінальне повідомлення ---
Від кого: "Mathieu Lirzin" <mthl@HIDDEN>
Дата: 18 січня 2018, 00:57:33


> Indeed, The great news is that support for ‘icl’ has already been added
> in Automake 1.15.1 [1].  :-)

Thought I checked Automake master before filling report. In any case thank you for a good news.

Though there is lot of code in Automake (and Autotools in general), not covered by commit (http://git.savannah.gnu.org/cgit/automake.git/commit/?id=c40e27e1c2a60f58e72e65d73d808f782d55494a). At least all occurrences of 'cl' and 'cl.exe'should checked and fixed to match 'icl' and 'icl.exe' conditions too. But this, obviously, is out if scope of current issue.


> Could you confirm it works correctly with Automake 1.15.1?

Yes, me used that patch for GMP, MPIR, MPFR and libiconv builds using Windows ICC and it works fine.


In case you're interested, there is a patch to 'lib/ar-lib', which I use for libiconv builds using Windows ICC:
===============================================================
diff --git a/build-aux/ar-lib b/build-aux/ar-lib
index 463b9ec..3cfddbc 100644
--- a/build-aux/ar-lib
+++ b/build-aux/ar-lib
@@ -127,8 +127,10 @@ do
   fi
   case $1 in
     -lib | -LIB \
+    | -xilib | -XILIB \
     | -ltcg | -LTCG \
     | -machine* | -MACHINE* \
+    | -nologo | -NOLOGO \
     | -subsystem* | -SUBSYSTEM* \
     | -verbose | -VERBOSE \
     | -wx* | -WX* )
===============================================================
since ICC linker 'xilink' and librarian 'xilib' are just a wrappers to MSVC 'link' and librarian 'lib' respectively, and ' -nologo ' use reduces noise in stderr.

CC: Jonathan L Peyton,
as Author of patch for 'compile', mentioned above. In case he'll be interested to make a review aor join this discussion.


Odd, that current 'ar-lib' implementation covers only a part of MSVC 'lib' flags:
===============================================================
c:\>lib /?
Microsoft (R) Library Manager Version 14.12.25830.2
Copyright (C) Microsoft Corporation.  All rights reserved.

usage: LIB [options] [files]

   options:

      /DEF[:filename]
      /ERRORREPORT:{NONE|PROMPT|QUEUE|SEND}
      /EXPORT:symbol
      /EXTRACT:membername
      /INCLUDE:symbol
      /LIBPATH:dir
      /LIST[:filename]
      /LTCG
      /MACHINE:{ARM|ARM64|EBC|X64|X86}
      /NAME:filename
      /NODEFAULTLIB[:library]
      /NOLOGO
      /OUT:filename
      /REMOVE:membername
      /SUBSYSTEM:{BOOT_APPLICATION|CONSOLE|EFI_APPLICATION|
                  EFI_BOOT_SERVICE_DRIVER|EFI_ROM|EFI_RUNTIME_DRIVER|
                  NATIVE|POSIX|WINDOWS|WINDOWSCE}[,#[.##]]
      /VERBOSE
      /WX[:NO]
===============================================================

Wondering, what was a reason for this.


Best,

Alexander


--=-xu7q3NwoIZzrx2RGKDFa
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-xu7q3NwoIZzrx2RGKDFa--




Information forwarded to bug-automake@HIDDEN:
bug#30127; Package automake. Full text available.

Message received at 30127 <at> debbugs.gnu.org:


Received: (at 30127) by debbugs.gnu.org; 17 Jan 2018 22:57:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 17 17:57:30 2018
Received: from localhost ([127.0.0.1]:60668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ebweA-00015F-20
	for submit <at> debbugs.gnu.org; Wed, 17 Jan 2018 17:57:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mthl@HIDDEN>) id 1ebwe7-000150-Sf
 for 30127 <at> debbugs.gnu.org; Wed, 17 Jan 2018 17:57:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mthl@HIDDEN>) id 1ebwe1-0003kg-0c
 for 30127 <at> debbugs.gnu.org; Wed, 17 Jan 2018 17:57:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44887)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mthl@HIDDEN>)
 id 1ebwe0-0003kZ-Sx; Wed, 17 Jan 2018 17:57:20 -0500
Received: from [2a01:e35:2ec2:e580:7d5f:f616:fc6f:3970] (port=58930 helo=godel)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <mthl@HIDDEN>)
 id 1ebwe0-00028D-A1; Wed, 17 Jan 2018 17:57:20 -0500
From: Mathieu Lirzin <mthl@HIDDEN>
To: sav_ix@HIDDEN
Subject: Re: bug#30127: ICC: 'entry point must be defined' error for shared
 builds on Windows
References: <1516008671.825996088.z51d5sjt@HIDDEN>
Date: Wed, 17 Jan 2018 23:57:18 +0100
In-Reply-To: <1516008671.825996088.z51d5sjt@HIDDEN> (sav ix's
 message of "Mon, 15 Jan 2018 11:48:52 +0200")
Message-ID: <876080hz5d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30127
Cc: 30127 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

sav_ix@HIDDEN writes:

> For libiconv builds using Windows ICC got error:
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
> builddir=3D"`pwd`"; cd libcharset && make all && make install-lib libdir=
=3D"$builddir/lib" includedir=3D"$builddir/lib"
> make[1]: Entering directory '/c/libICONV-1.15/build/libcharset'
> cd lib && make all
> make[2]: Entering directory '/c/libICONV-1.15/build/libcharset/lib'
> /bin/sh ../libtool --mode=3Dlink /c/libICONV-1.15/build/libcharset/../bui=
ld-aux/compile icl -Zc:wchar_t -nologo -DWIN32 -D_WIN32 -DWIN64 -D_WIN64 -D=
_CRT_SECURE_NO_DEPRECATE
> -D_SCL_SECURE_NO_DEPRECATE -Od -Zi -GS -DDEBUG -D_DEBUG -MDd -o libcharse=
t.la -rpath /c/libICONV-1.15/build/../ICC64DH/lib -version-info 1:0:0 -no-u=
ndefined localcharset.lo relocatable.lo
> libtool: link: rm -fr .libs/charset.exp
> libtool: link: /usr/bin/nm -B .libs/localcharset.obj .libs/relocatable.ob=
j | sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Z=
a-z0-9]*\)\{0,1\}$/\1 \2 \2/p' | sed '/ __gnu_lto/d' | /usr/bin/sed
> -e '/^[BCDGRS][ ]/s/.*[ ]\([^ ]*\)/\1,DATA/' | /usr/bin/sed -e '/^[AITW][=
 ]/s/.*[ ]//' | sort | uniq > .libs/charset.exp
> libtool: link: if test DEF =3D "`/usr/bin/sed -n -e 's/^[ ]*//' -e '/^\(;=
.*\)*$/d' -e 's/^\(EXPORTS\|LIBRARY\)\([ ].*\)*$/DEF/p' -e q .libs/charset.=
exp`" ; then cp ".libs/charset.exp" ".libs/charset-1.dll.def"; echo
> ".libs\\charset-1.dll.def" > ".libs/charset-1.dll.exp"; else /usr/bin/sed=
 -e 's/^/-link -EXPORT:/' < .libs/charset.exp > .libs/charset-1.dll.exp; fi
> libtool: link: /c/libICONV-1.15/build/libcharset/../build-aux/compile icl=
 -o .libs\\charset-1.dll .libs/localcharset.obj .libs/relocatable.obj -Od "=
@.libs\\charset-1.dll.exp" -Wl,-DLL,-IMPLIB:".libs\\charset.lib"
> icl .libs\charset-1.dll .libs/localcharset.obj .libs/relocatable.obj -Od =
-Wl,-DLL,-IMPLIB:.libs\charset.lib
>
> Intel(R) C++ Intel(R) 64 Compiler for applications running on Intel(R) 64=
, Version 18.0.1.156 Build 20171018
> Copyright (C) 1985-2017 Intel Corporation. All rights reserved.
> icl: command line warning #10157: ignoring option '/W'; argument is of wr=
ong type
>
> Microsoft (R) Incremental Linker Version 14.12.25830.2
> Copyright (C) Microsoft Corporation. All rights reserved.
>
> -out:.libs\charset-1.dll
> -EXPORT:DllMain
> -EXPORT:__local_stdio_printf_options
> -EXPORT:_vsnprintf_l
> -EXPORT:_vsprintf_l
> -EXPORT:libcharset_relocate
> -EXPORT:libcharset_set_relocation_prefix
> -EXPORT:locale_charset
> -EXPORT:sprintf
> -EXPORT:DllMain
> -EXPORT:__local_stdio_printf_options
> -EXPORT:_vsnprintf_l
> -EXPORT:_vsprintf_l
> -EXPORT:libcharset_relocate
> -EXPORT:libcharset_set_relocation_prefix
> -EXPORT:locale_charset
> -EXPORT:sprintf
> .libs/localcharset.obj
> .libs/relocatable.obj
> Creating library .libs\charset-1.lib and object .libs\charset-1.exp
> LINK : fatal error LNK1561: entry point must be defined
> make[2]: *** [Makefile:59: libcharset.la] Error 25
> make[2]: Leaving directory '/c/libICONV-1.15/build/libcharset/lib'
> make[1]: *** [Makefile:34: all] Error 2
> make[1]: Leaving directory '/c/libICONV-1.15/build/libcharset'
> make: *** [Makefile:42: lib/localcharset.h] Error 2
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
>
> which relate to missing Windows ICC support in 'compile' (http://git.sava=
nnah.gnu.org/cgit/automake.git/tree/lib/compile) script.
>
> Reproduced for:
> - shared builds using Windows ICC,
>
> not reproduced for:
> - static builds using Windows ICC,
> - shared builds using mingw-w64 and MSVC.
>
> Environment:
> - Windows 10 x64,
> - ICC 2018 Update 1,
> - MSVC 2017 15.5.0,
> - Windows SDK 10.0.16299.15,
> - mingw-w64 x86_64 7.2.0,
> - MSYS2 x86_64 20170918,
> - libiconv 1.15.
>
> The same error reproduced for shared builds of other OSS Projects with Au=
totools-based build systems.
>
> MSYS2 (msys2.org) Project provide a fix for 'compile' script, which they =
distribute:
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
> diff --git a/compile b/compile
> index 531136b..2be28ec 100644
> --- a/compile
> +++ b/compile
> @@ -255,7 +255,8 @@ EOF
> echo "compile $scriptversion"
> exit $?
> ;;
> - cl | *[/\\]cl | cl.exe | *[/\\]cl.exe )
> + cl | *[/\\]cl | cl.exe | *[/\\]cl.exe | \
> + icl | *[/\\]icl | icl.exe | *[/\\]icl.exe )
> func_cl_wrapper "$@" # Doesn't return...
> ;;
> esac
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
>
> but it's not convenient to update build system of OSS Projects before eac=
h build.
> Can this fix be merged to Automake sources directly?

Indeed, The great news is that support for =E2=80=98icl=E2=80=99 has alread=
y been added
in Automake 1.15.1 [1].  :-)

Could you confirm it works correctly with Automake 1.15.1?

Note: When building libiconv you have to use =E2=80=98autoreconf -i=E2=80=
=99 or
something similar in order to have the local =E2=80=98compile=E2=80=99 scri=
pt updated.

Thanks for the report.

[1] https://lists.gnu.org/archive/html/info-gnu/2017-06/msg00007.html

--=20
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37




Information forwarded to bug-automake@HIDDEN:
bug#30127; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jan 2018 16:16:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 15 11:16:31 2018
Received: from localhost ([127.0.0.1]:57676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eb7R1-0006Bp-20
	for submit <at> debbugs.gnu.org; Mon, 15 Jan 2018 11:16:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sav_ix@HIDDEN>) id 1eb1OE-0005zR-Ud
 for submit <at> debbugs.gnu.org; Mon, 15 Jan 2018 04:49:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sav_ix@HIDDEN>) id 1eb1O6-0006qX-40
 for submit <at> debbugs.gnu.org; Mon, 15 Jan 2018 04:49:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,MSGID_FROM_MTA_HEADER,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33392)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sav_ix@HIDDEN>) id 1eb1O6-0006qN-07
 for submit <at> debbugs.gnu.org; Mon, 15 Jan 2018 04:49:06 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41871)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sav_ix@HIDDEN>) id 1eb1O0-0003H5-U6
 for bug-automake@HIDDEN; Mon, 15 Jan 2018 04:49:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sav_ix@HIDDEN>) id 1eb1Nx-0006kw-Mf
 for bug-automake@HIDDEN; Mon, 15 Jan 2018 04:49:01 -0500
Received: from frv196.fwdcdn.com ([212.42.77.196]:45183)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sav_ix@HIDDEN>) id 1eb1Nx-0006hV-55
 for bug-automake@HIDDEN; Mon, 15 Jan 2018 04:48:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ukr.net;
 s=ffe; h=Content-Type:MIME-Version:Message-Id:To:Subject:From:Date:Sender:
 Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=7ZSjpF0HB42oCgoLjSxmFTzgZwfj6Qk+xjBA+yXqAVo=; b=b2kumeowdujK1CKL/uObFqnV2L
 BXC7IS3ip2Zrg+mcqoILy/Z6D1cuJyglJnEuMgcH15V0tKlZHvqCCRQIpMsYan1JYvgh0aKvYdwuT
 8CUcJMuHU2ER+eHwSXRR6dNRvLeh5fXnix9m554U9UorLFt1DXXBwG39ES57ajd29ByQ=;
Received: from [10.10.10.54] (helo=frv54.fwdcdn.com)
 by frv196.fwdcdn.com with smtp ID 1eb1Ns-0001Ea-7z
 for bug-automake@HIDDEN; Mon, 15 Jan 2018 11:48:52 +0200
Date: Mon, 15 Jan 2018 11:48:52 +0200
From: sav_ix@HIDDEN
Subject: ICC: 'entry point must be defined' error for shared builds on Windows
To: bug-automake@HIDDEN
X-Mailer: mail.ukr.net 5.0
Message-Id: <1516008671.825996088.z51d5sjt@HIDDEN>
Received: from sav_ix@HIDDEN by frv54.fwdcdn.com;
 Mon, 15 Jan 2018 11:48:52 +0200
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="=-mnOS7c9IifiIoSi/J4Zs"
X-detected-operating-system: by eggs.gnu.org: FreeBSD 9.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 15 Jan 2018 11:16:30 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--=-mnOS7c9IifiIoSi/J4Zs
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: binary
Content-Length: 4657

Hello everyone,

For libiconv builds using Windows ICC got error:
===============================================================
builddir="`pwd`"; cd libcharset && make all && make install-lib libdir="$builddir/lib" includedir="$builddir/lib"
make[1]: Entering directory '/c/libICONV-1.15/build/libcharset'
cd lib && make all
make[2]: Entering directory '/c/libICONV-1.15/build/libcharset/lib'
/bin/sh ../libtool --mode=link /c/libICONV-1.15/build/libcharset/../build-aux/compile icl  -Zc:wchar_t -nologo -DWIN32 -D_WIN32 -DWIN64 -D_WIN64  -D_CRT_SECURE_NO_DEPRECATE -D_SCL_SECURE_NO_DEPRECATE -Od -Zi -GS -DDEBUG -D_DEBUG -MDd  -o libcharset.la -rpath /c/libICONV-1.15/build/../ICC64DH/lib -version-info 1:0:0 -no-undefined localcharset.lo relocatable.lo
libtool: link: rm -fr  .libs/charset.exp
libtool: link: /usr/bin/nm -B  .libs/localcharset.obj .libs/relocatable.obj   | sed -n -e 's/^.*[        ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[         ][   ]*\([_A-Za-z][_A-Za-z0-9]*\)\{0,1\}$/\1 \2 \2/p' | sed '/ __gnu_lto/d' | /usr/bin/sed -e '/^[BCDGRS][ ]/s/.*[ ]\([^ ]*\)/\1,DATA/' | /usr/bin/sed -e '/^[AITW][ ]/s/.*[ ]//' | sort | uniq > .libs/charset.exp
libtool: link: if test DEF = "`/usr/bin/sed -n -e 's/^[  ]*//' -e '/^\(;.*\)*$/d' -e 's/^\(EXPORTS\|LIBRARY\)\([         ].*\)*$/DEF/p' -e q .libs/charset.exp`" ; then cp ".libs/charset.exp" ".libs/charset-1.dll.def"; echo ".libs\\charset-1.dll.def" > ".libs/charset-1.dll.exp"; else /usr/bin/sed -e 's/^/-link -EXPORT:/' < .libs/charset.exp > .libs/charset-1.dll.exp; fi
libtool: link:  /c/libICONV-1.15/build/libcharset/../build-aux/compile icl -o .libs\\charset-1.dll  .libs/localcharset.obj .libs/relocatable.obj   -Od    "@.libs\\charset-1.dll.exp" -Wl,-DLL,-IMPLIB:".libs\\charset.lib"
icl .libs\charset-1.dll .libs/localcharset.obj .libs/relocatable.obj -Od -Wl,-DLL,-IMPLIB:.libs\charset.lib

Intel(R) C++ Intel(R) 64 Compiler for applications running on Intel(R) 64, Version 18.0.1.156 Build 20171018
Copyright (C) 1985-2017 Intel Corporation.  All rights reserved.
icl: command line warning #10157: ignoring option '/W'; argument is of wrong type

Microsoft (R) Incremental Linker Version 14.12.25830.2
Copyright (C) Microsoft Corporation.  All rights reserved.

-out:.libs\charset-1.dll
-EXPORT:DllMain
-EXPORT:__local_stdio_printf_options
-EXPORT:_vsnprintf_l
-EXPORT:_vsprintf_l
-EXPORT:libcharset_relocate
-EXPORT:libcharset_set_relocation_prefix
-EXPORT:locale_charset
-EXPORT:sprintf
-EXPORT:DllMain
-EXPORT:__local_stdio_printf_options
-EXPORT:_vsnprintf_l
-EXPORT:_vsprintf_l
-EXPORT:libcharset_relocate
-EXPORT:libcharset_set_relocation_prefix
-EXPORT:locale_charset
-EXPORT:sprintf
.libs/localcharset.obj
.libs/relocatable.obj
   Creating library .libs\charset-1.lib and object .libs\charset-1.exp
LINK : fatal error LNK1561: entry point must be defined
make[2]: *** [Makefile:59: libcharset.la] Error 25
make[2]: Leaving directory '/c/libICONV-1.15/build/libcharset/lib'
make[1]: *** [Makefile:34: all] Error 2
make[1]: Leaving directory '/c/libICONV-1.15/build/libcharset'
make: *** [Makefile:42: lib/localcharset.h] Error 2
===============================================================

which relate to missing Windows ICC support in 'compile' (http://git.savannah.gnu.org/cgit/automake.git/tree/lib/compile) script.


Reproduced for:
- shared builds using Windows ICC,

not reproduced for:
- static builds using Windows ICC,
- shared builds using mingw-w64 and MSVC.


Environment:
  - Windows 10 x64,
  - ICC 2018 Update 1,
  - MSVC 2017 15.5.0,
  - Windows SDK 10.0.16299.15,
  - mingw-w64 x86_64 7.2.0,
  - MSYS2 x86_64 20170918,
  - libiconv 1.15.


The same error reproduced for shared builds of other OSS Projects with Autotools-based build systems.


MSYS2 (msys2.org) Project provide a fix for 'compile' script, which they distribute:
===============================================================
diff --git a/compile b/compile
index 531136b..2be28ec 100644
--- a/compile
+++ b/compile
@@ -255,7 +255,8 @@ EOF
     echo "compile $scriptversion"
     exit $?
     ;;
-  cl | *[/\\]cl | cl.exe | *[/\\]cl.exe )
+  cl | *[/\\]cl | cl.exe | *[/\\]cl.exe | \
+  icl | *[/\\]icl | icl.exe | *[/\\]icl.exe )
     func_cl_wrapper "$@"      # Doesn't return...
     ;;
 esac
===============================================================

but it's not convenient to update build system of OSS Projects before each build.
Can this fix be merged to Automake sources directly?


Best,

Alexander


--=-mnOS7c9IifiIoSi/J4Zs
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-mnOS7c9IifiIoSi/J4Zs--




Acknowledgement sent to sav_ix@HIDDEN:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#30127; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.